Package com.independentsoft.office.drawing.tableStyles

# Class Font

java.lang.Object
com.independentsoft.office.drawing.tableStyles.Font

public class Font extends Object
The Class Font.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Font()`
  Instantiates a new font.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Font`
  `clone()`
  `ExtendedBoolean`
  `getBold()`
  Gets the bold.
  `ComplexScriptFont`
  `getComplexScriptFont()`
  Gets the complex script font.
  `EastAsianFont`
  `getEastAsianFont()`
  Gets the east asian font.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `ExtendedBoolean`
  `getItalic()`
  Gets the italic.
  `LatinFont`
  `getLatinFont()`
  Gets the latin font.
  `SupplementalFont`
  `getSupplementalFont()`
  Gets the supplemental font.
  `void`
  `setBold​(ExtendedBoolean bold)`
  Sets the bold.
  `void`
  `setComplexScriptFont​(ComplexScriptFont complexScriptFont)`
  Sets the complex script font.
  `void`
  `setEastAsianFont​(EastAsianFont eastAsianFont)`
  Sets the east asian font.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setItalic​(ExtendedBoolean italic)`
  Sets the italic.
  `void`
  `setLatinFont​(LatinFont latinFont)`
  Sets the latin font.
  `void`
  `setSupplementalFont​(SupplementalFont supplementalFont)`
  Sets the supplemental font.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Font

    public Font()
    Instantiates a new font.

- ## Method Details

  - ### clone

    public Font clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getComplexScriptFont

    public ComplexScriptFont getComplexScriptFont()
    Gets the complex script font.
    Returns:
      the complex script font

  - ### setComplexScriptFont

    public void setComplexScriptFont​(ComplexScriptFont complexScriptFont)
    Sets the complex script font.
    Parameters:
      `complexScriptFont` - the new complex script font

  - ### getEastAsianFont

    public EastAsianFont getEastAsianFont()
    Gets the east asian font.
    Returns:
      the east asian font

  - ### setEastAsianFont

    public void setEastAsianFont​(EastAsianFont eastAsianFont)
    Sets the east asian font.
    Parameters:
      `eastAsianFont` - the new east asian font

  - ### getSupplementalFont

    public SupplementalFont getSupplementalFont()
    Gets the supplemental font.
    Returns:
      the supplemental font

  - ### setSupplementalFont

    public void setSupplementalFont​(SupplementalFont supplementalFont)
    Sets the supplemental font.
    Parameters:
      `supplementalFont` - the new supplemental font

  - ### getLatinFont

    public LatinFont getLatinFont()
    Gets the latin font.
    Returns:
      the latin font

  - ### setLatinFont

    public void setLatinFont​(LatinFont latinFont)
    Sets the latin font.
    Parameters:
      `latinFont` - the new latin font

  - ### getBold

    public ExtendedBoolean getBold()
    Gets the bold.
    Returns:
      the bold

  - ### setBold

    public void setBold​(ExtendedBoolean bold)
    Sets the bold.
    Parameters:
      `bold` - the new bold

  - ### getItalic

    public ExtendedBoolean getItalic()
    Gets the italic.
    Returns:
      the italic

  - ### setItalic

    public void setItalic​(ExtendedBoolean italic)
    Sets the italic.
    Parameters:
      `italic` - the new italic